Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060852 - Review Request: flnet - Amateur Radio Net Control Station
Summary: Review Request: flnet - Amateur Radio Net Control Station
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 18:37 UTC by Richard Shaw
Modified: 2017-11-26 21:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-18 03:44:22 UTC
mgansser: fedora-review+


Attachments (Terms of Use)
Patch to fix the bad FSF addresses (to be sent upstream). (deleted)
2014-02-04 20:04 UTC, Alec Leamas
no flags Details | Diff

Description Richard Shaw 2014-02-03 18:37:26 UTC
Spec URL: http://hobbes1069.fedorapeople.org//flnet.spec
SRPM URL: http://hobbes1069.fedorapeople.org//flnet-7.0.1-1.fc19.src.rpm

Description:
Net provides the Amateur Radio Net Control Station operator with a real time
tool to assist him or her in managing the net activities.  A single screen with
multiple windows is used to allow rapid entry, search, pick and display of all
stations calling in to the net.  All operations on the main screen are
accomplished with keyboard entries only.  No mouse action is required to
perform the net control functions.  Experience has shown that most net control
operators prefer this method of operation to improve the speed of entry and
selection.

Comment 1 Richard Shaw 2014-02-03 18:37:30 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6487097

Comment 2 Alec Leamas 2014-02-04 18:58:25 UTC
I will do this review, assigning.

Comment 3 Alec Leamas 2014-02-04 19:56:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
 - License field in the package spec file matches the actual license.
   Note: Checking patched sources after %prep for licenses. Licenses found:
   "GPL (v2 or later) (with incorrect FSF address)", "LGPL (v2 or later)
   (with incorrect FSF address)", "Unknown or generated", "GPL (v3 or
   later)". 34 files have unknown license. Detailed output of licensecheck
   in /home/al/tmp/FedoraReview/1060852-flnet/licensecheck.txt
 ---> They are all compatible, but a license break-down is required.
   The easiest is probably to use (GPLv2+ and GPLVv3 and LPGL2.1), but
   promoting some license(s) is an option.
 - According to licensecheck some files have wrong FSF address. Please
   file a bug or so upstream about this issue.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: flnet-7.0.1-1.fc20.i686.rpm
          flnet-7.0.1-1.fc20.src.rpm
flnet.i686: W: no-manual-page-for-binary flnet
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Rpmlint (installed packages)
----------------------------
# rpmlint flnet
flnet.i686: W: no-manual-page-for-binary flnet
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'


Requires
--------
flnet (rpmlib, GLIBC filtered):
    libX11.so.6
    libc.so.6
    libdl.so.2
    libfltk.so.1.3
    libfltk_images.so.1.3
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libpthread.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)

Provides
--------
flnet:
    flnet
    flnet(x86-32)

Source checksums
----------------
http://www.w1hkj.com/downloads/flnet/flnet-7.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3a7cf3b0e6d589fee29282a2064ed516061af60606d3ad50c7b8de8fd1bf457d
  CHECKSUM(SHA256) upstream package : 3a7cf3b0e6d589fee29282a2064ed516061af60606d3ad50c7b8de8fd1bf457d


Generated by fedora-review 0.5.1 (1921b30) last change: 2014-01-09
Command line :./try-fedora-review -b 1060852
Buildroot used: fedora-20-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Alec Leamas 2014-02-04 20:04:38 UTC
Created attachment 859312 [details]
Patch to fix the bad FSF addresses (to be sent upstream).

Comment 5 Richard Shaw 2014-02-04 20:12:27 UTC
Yeah, I'm still not really good with licenses... Assuming we uprev the lower GPL files, should we say"GPLv3+ and LGPLv2+ and MIT"?

Comment 6 Alec Leamas 2014-02-04 20:28:28 UTC
Nor am I, and I might have given wrong (well, incomplete ;) ) info on this earlier. If you choose to promote, you also need to patch the sources  [1]. Although not that complicated in this case, it might be easier just to expand the license tag.

[1] http://www.gnu.org/licenses/gpl-faq.html#v3HowToUpgrade

Comment 7 Richard Shaw 2014-02-04 20:47:42 UTC
Whoops, no MIT in this one, I was in the wrong directory (fllog instead of flnet, that's a separate review!).

Comment 8 Alec Leamas 2014-03-19 19:23:16 UTC
Ping?!

Comment 9 Richard Shaw 2014-03-20 00:01:42 UTC
I need to check if this one is affected but several of his projects bundle the library xmlrpcpp...

Well, kind of... Upstream is pretty much dead and he has altered it quite a bit to suit his purposes BUT he bundles is within several of his projects.

He doesn't really want to support as a separate library, which I understand so I've been working on him to see what we can do but haven't found a suitable solution.

Comment 10 Richard Shaw 2014-05-08 21:25:41 UTC
Ok, not a guidelines violation:

https://lists.fedoraproject.org/pipermail/devel/2014-May/199059.html

I think that was the only blocker...

Comment 11 Richard Shaw 2015-03-17 20:43:04 UTC
(In reply to Alec Leamas from comment #6)
> Nor am I, and I might have given wrong (well, incomplete ;) ) info on this
> earlier. If you choose to promote, you also need to patch the sources  [1].
> Although not that complicated in this case, it might be easier just to
> expand the license tag.
> 
> [1] http://www.gnu.org/licenses/gpl-faq.html#v3HowToUpgrade

Ok, I've had lots of other things going on but am now getting back to reviews.

After reading the link this seems to be for actually "upgrading" your whole project, not just allowing for promotion. I don't think any of the source files need to be physically altered as long as they are of the "or any later version" variety.

Comment 12 Richard Shaw 2015-05-05 18:29:10 UTC
SPEC: https://hobbes1069.fedorapeople.org/flnet.spec
SRPM: https://hobbes1069.fedorapeople.org/flnet-7.2.3-1.fc21.src.rpm

* Tue May  5 2015 Richard Shaw <hobbes1069@gmail.com> - 7.2.3-1
- Update to latest upstream release.
- Build with external xmlrpc library.
- Update package to use %%license where appropriate.

Comment 13 Richard Shaw 2015-05-27 19:28:29 UTC
Do you still see the licensing as a blocker?

Comment 14 Richard Shaw 2015-09-28 20:24:12 UTC
Alec, do you have time to finish this review?

Comment 15 Richard Shaw 2016-05-25 20:07:49 UTC
SPEC: https://hobbes1069.fedorapeople.org/flnet.spec
SRPM: https://hobbes1069.fedorapeople.org/flnet-7.2.5-1.fc23.src.rpm

* Wed Dec  2 2015 Richard Shaw <hobbes1069@gmail.com> - 7.2.5-1
- Update to latest upstream release.

Comment 16 Richard Shaw 2016-10-25 12:56:02 UTC
SPEC: https://hobbes1069.fedorapeople.org/flnet.spec
SRPM: https://hobbes1069.fedorapeople.org/flnet-7.2.6-1.fc24.src.rpm

* Tue Oct 25 2016 Richard Shaw <hobbes1069@gmail.com> - 7.2.6-1
- Update to latest upstream release.

Comment 17 Richard Shaw 2016-10-28 14:50:33 UTC
SPEC: https://hobbes1069.fedorapeople.org/flnet.spec
SRPM: https://hobbes1069.fedorapeople.org/flnet-7.3.1-1.fc24.src.rpm

* Fri Oct 28 2016 Richard Shaw <hobbes1069@gmail.com> - 7.3.1-1
- Update to latest upstream release.

Comment 18 Richard Shaw 2017-11-01 13:13:08 UTC
SPEC: https://hobbes1069.fedorapeople.org/flnet.spec
SRPM: https://hobbes1069.fedorapeople.org/flnet-7.3.2-1.fc26.src.rpm

* Wed Nov 01 2017 Richard Shaw <hobbes1069@gmail.com> - 7.3.2-1
- Update to latest upstream release.
- Add appdata file.

Comment 19 MartinKG 2017-11-04 11:46:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2

this seems to be a bug in fedora-review. It is correct to list gcc-c++ as a BR, per https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires


[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/metainfo

please add
 %dir %{_datadir}/metainfo
to file section

- please use %{name} macro instead of flnet.
- please inform upstream about flnet.appdata.xml file


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "GPL (v3 or
     later)", "Unknown or generated", "MIT/X11 (BSD like)". 54 files have
     unknown license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/flnet/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/metainfo
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[-]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in flnet-
     debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: flnet-7.3.2-1.fc28.x86_64.rpm
          flnet-debuginfo-7.3.2-1.fc28.x86_64.rpm
          flnet-7.3.2-1.fc28.src.rpm
flnet.x86_64: W: only-non-binary-in-usr-lib
flnet.x86_64: W: no-manual-page-for-binary flnet
flnet.src: W: invalid-url Source0: http://downloads.sourceforge.net/fldigi/flnet-7.3.2.tar.gz <urlopen error _ssl.c:732: The handshake operation timed out>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

Rpmlint (debuginfo)
-------------------
Checking: flnet-debuginfo-7.3.2-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
flnet.x86_64: W: invalid-url URL: http://www.w1hkj.com/Net-help/index.html <urlopen error [Errno -2] Name or service not known>
flnet.x86_64: W: only-non-binary-in-usr-lib
flnet.x86_64: W: no-manual-page-for-binary flnet
flnet-debuginfo.x86_64: W: invalid-url URL: http://www.w1hkj.com/Net-help/index.html <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.


Requires
--------
flnet (rpmlib, GLIBC filtered):
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libfltk.so.1.3()(64bit)
    libfltk_images.so.1.3()(64bit)
    libflxmlrpc.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

flnet-debuginfo (rpmlib, GLIBC filtered):


Provides
--------
flnet:
    application()
    application(flnet.desktop)
    flnet
    flnet(x86-64)
    metainfo()
    metainfo(flnet.appdata.xml)

flnet-debuginfo:
    debuginfo(build-id)
    flnet-debuginfo
    flnet-debuginfo(x86-64)


Source checksums
----------------
http://downloads.sourceforge.net/fldigi/flnet-7.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : bb51111795d2a1ddad55b6d898deaa7ae113794a80c5f7430f69904a31ec3967
  CHECKSUM(SHA256) upstream package : bb51111795d2a1ddad55b6d898deaa7ae113794a80c5f7430f69904a31ec3967


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -rn ../SRPMS/flnet-7.3.2-1.fc26.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 20 Richard Shaw 2017-11-04 21:05:39 UTC
(In reply to mgansser@alice.de from comment #19)
> Issues:
> =======
> 
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /usr/share/metainfo
> 
> please add
>  %dir %{_datadir}/metainfo
> to file section

I'll take a look at this... I don't think packages providing an appdata file should own that directory but nothing else seems to...


> - please use %{name} macro instead of flnet.

For some reason I don't like using the name macro for one off files :)


> - please inform upstream about flnet.appdata.xml file

He is aware as I had them supply links for screenshots but I'm not sure he's interested in adding it to the project.

Comment 21 Richard Shaw 2017-11-07 14:38:22 UTC
(In reply to Richard Shaw from comment #20)
> (In reply to mgansser@alice.de from comment #19)
> > Issues:
> > =======
> > 
> > [!]: Package must own all directories that it creates.
> >      Note: Directories without known owners: /usr/share/metainfo
> > 
> > please add
> >  %dir %{_datadir}/metainfo
> > to file section
> 
> I'll take a look at this... I don't think packages providing an appdata file
> should own that directory but nothing else seems to...

Ok, per Kalev on the devel list the filesystem package owns /usr/lib/metainfo in F27+ and packages simply providing appdata files should not own it.

Do you consider the other ones blockers?

Comment 22 MartinKG 2017-11-07 14:49:22 UTC
no blockers, package is good and is accepted.

Comment 23 Richard Shaw 2017-11-08 17:15:25 UTC
Thanks for the review! Repository has been requested.

Comment 24 Gwyn Ciesla 2017-11-08 17:16:34 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/flnet

Comment 25 Fedora Update System 2017-11-09 19:55:32 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1f38cce05e

Comment 26 Fedora Update System 2017-11-11 16:55:43 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ff6d0e947

Comment 27 Fedora Update System 2017-11-11 17:29:43 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c3bdb834df

Comment 28 Fedora Update System 2017-11-18 03:44:22 UTC
flcluster-1.0.3-1.fc27, flnet-7.3.2-1.fc27, flwkey-1.2.3-2.fc27, linsim-2.0.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-11-22 02:27:13 UTC
flcluster-1.0.3-1.fc26, flnet-7.3.2-1.fc26, flwkey-1.2.3-2.fc26, linsim-2.0.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-11-26 21:52:49 UTC
flcluster-1.0.3-1.el7, flnet-7.3.2-1.el7, flwkey-1.2.3-2.el7, linsim-2.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.